package com.njcn.user.enums;

import lombok.Getter;

/**
 * 类的介绍：
 *
 * @author xuyang
 * @version 1.0.0
 * @createTime 2023/6/25 20:50
 */
@Getter
public enum AppRoleEnum {

    TOURIST("tourist","游客"),
    APP_VIP_USER("app_vip_user","移动端正式用户"),
    MARKET_USER("market_user","营销角色"),
    ENGINEERING_USER("engineering_user","工程角色"),
    BXS_USER("bxs_user","便携式正式用户"),
    ROOT("root","超级管理员"),
    OPERATION_MANAGER("operation_manager","运维管理员"),
    REGULAR_USER_8000("regular_user_8000","正式用户综合电能质量"),
    REGULAR_USER("regular_user","正式用户物联云平台")
    ;

    private final String code;

    private final String message;

    AppRoleEnum(String code, String message) {
        this.code=code;
        this.message=message;
    }


}
